package com.chaozhanggui.dao.system.dao;

import com.chaozhanggui.dao.system.entity.TbPlussAccessChannelCipherCode;
import com.chaozhanggui.dao.system.entity.TbPlussAccessChannelCipherCodeWithBLOBs;

import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Component;

@Component
@Mapper
public interface TbPlussAccessChannelCipherCodeMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(TbPlussAccessChannelCipherCodeWithBLOBs record);

    int insertSelective(TbPlussAccessChannelCipherCodeWithBLOBs record);

    TbPlussAccessChannelCipherCodeWithBLOBs selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TbPlussAccessChannelCipherCodeWithBLOBs record);

    int updateByPrimaryKeyWithBLOBs(TbPlussAccessChannelCipherCodeWithBLOBs record);

    int updateByPrimaryKey(TbPlussAccessChannelCipherCode record);
}